Subject: Re: bug#74547: 31.0.50; igc: assertion failed in buffer.c

From: Óscar Fuentes <[email-masked]>
Date: Sun, 01 Dec 2024 14:18:32 +0100

Gerd Möllmann <[email-masked]> writes:

> Hm, reading Oscar's report again - he was using LSP. Maybe it's
> something in the parser.

The three times that I caugth the crash with the debugger mini-echo [1]
was in the Elisp backtrace. Maybe lsp-mode does something that upsets
the garbage collector and it surfaces when mini-echo executes. Just now
tried for some minutes with mini-echo active and without lsp-mode and no
crash, but maybe I was unlucky. lsp-mode is heavy on GC and it is
difficult to replicate that.

As for the core dump, I have two, but I'm not sure if they contain
sensitive info. Usually the crash takes a few minutes of work to happen.
I can execute Emacs under gdb on a controlled environment and then
answer your requests, no problem with having it open for several days.
Or send you the core dump, if it is more useful.

1. https://github.com/liuyinz/mini-echo.el